Skip to main content
GET
/
v3
/
teams
List
curl --request GET \
  --url https://api.incident.io/v3/teams \
  --header 'Authorization: Bearer <token>'
{
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  },
  "teams": [
    {
      "catalog_entry": {
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "Primary On-call"
      },
      "id": "abc123",
      "members": [
        {
          "email": "lisa@incident.io",
          "id": "01FCNDV6P870EA6S7TK1DSYDG0",
          "name": "Lisa Karlin Curtis",
          "slack_user_id": "U02AYNF2XJM"
        }
      ],
      "name": "abc123"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Query Parameters

page_size
integer<int64>
default:25

Integer number of records to return

Required range: x <= 250
Example:

25

after
string

An record's ID. This endpoint will return a list of records after this ID in relation to the API response order.

Example:

"01FDAG4SAP5TYPT98WGR2N7W91"

Response

200 - application/json

OK response.

pagination_meta
object
required
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}
teams
object[]
required
Example:
[
{
"catalog_entry": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Primary On-call"
},
"id": "abc123",
"members": [
{
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"slack_user_id": "U02AYNF2XJM"
}
],
"name": "abc123"
}
]